<?php

/**
 * Administration settings.
 */
function postcodeanywhere_addressfield_admin_settings($form, &$form_state) {
  $form['postcodeanywhere_addressfield_login'] = array(
    '#title' => t('Login'),
    '#type' => 'textfield',
    '#default_value' => variable_get('postcodeanywhere_addressfield_login', ''),
    '#description' => t('Login code you have from Postcodeanywhere service.'),
  );

  $form['postcodeanywhere_addressfield_license'] = array(
    '#title' => t('License'),
    '#type' => 'textfield',
    '#default_value' => variable_get('postcodeanywhere_addressfield_license', ''),
    '#description' => t('License code you have from Postcodeanywhere service.'),
    '#required' => TRUE,
  );

  $options = array(
    'button' => t('Use search address button.'),
    'autocomplete' => t('Use autocomplete search.'),
  );

  $form['postcodeanywhere_addressfield_widget_type'] = array(
    '#type' => 'select',
    '#title' => t('Type of the PostcodeAnywhere widget'),
    '#description' => t('The form elements & workflow to be used for the PostcodeAnywhere addressfield handler.'),
    '#options' => $options,
    '#empty_value' => '',
    '#default_value' => variable_get('postcodeanywhere_addressfield_widget_type', 'button'),
    '#required' => TRUE,
  );
  $form['postcodeanywhere_addressfield_hide_extra_fields'] = array(
    '#type' => 'checkbox',
    '#title' => t('Hide extra fields'),
    '#description' => t('Do not show fields as names or company on the postocode search form.'),
    '#default_value' => variable_get('postcodeanywhere_addressfield_hide_extra_fields', TRUE),
  );

  return system_settings_form($form);
}
